summaryrefslogtreecommitdiffstats
path: root/server_wizard/scripts/check_server_ip.sh
diff options
context:
space:
mode:
Diffstat (limited to 'server_wizard/scripts/check_server_ip.sh')
-rwxr-xr-xserver_wizard/scripts/check_server_ip.sh65
1 files changed, 65 insertions, 0 deletions
diff --git a/server_wizard/scripts/check_server_ip.sh b/server_wizard/scripts/check_server_ip.sh
new file mode 100755
index 00000000..1b98fee0
--- /dev/null
+++ b/server_wizard/scripts/check_server_ip.sh
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+# script for wizard basic network configuration
+#
+# assuming :
+# - C class network, mask 255.255.255.0
+#
+# checking if the provided server address is correct (belongs to network...)
+
+echo_debug "$(date) begin $0"
+#truncating addresses
+n_trunc=${wiz_ip_net%.*}
+s_trunc=${wiz_ip_server%.*}
+d=${wiz_ip_server##*.}
+
+
+echo_debug "_${wiz_ip_net}_ _${wiz_ip_server}_ ${s_trunc} $d"
+
+if [ -z "${s_trunc}" ]; then
+ echo_debug "incorrect address"
+ exit 1
+fi
+
+if [ "${s_trunc}" != "${n_trunc}" ]; then
+ echo_debug "server not in network"
+ exit 1
+fi
+
+if [ -z "$d" ]; then
+ echo_debug "not a server ip"
+ exit 1
+fi
+
+if [ $d -gt 254 -o $d -lt 1 ]; then
+ echo_debug "not a server ip"
+ exit 1
+fi
+
+
+# all seems to be ok
+exit 10
+